import { useI18n } from '../../../i18n';
import { FcrIconType } from '../../icon/type';
import { FrcTooltipButton } from '../../tooltips-button';
import { jsx as _jsx } from "react/jsx-runtime";
export var ShareScreenButton = function ShareScreenButton(props) {
  var t = useI18n();
  return /*#__PURE__*/_jsx(FrcTooltipButton, {
    tooltip: {
      content: t('fmt_screenshare_controlbar_button_newScreenshare'),
      icon: {
        type: FcrIconType.FCR_SCREENSHARING_1,
        size: 32,
        colors: {
          iconPrimary: 'var(--fcr_web_ui_scene_mainicon1)'
        }
      }
    },
    onTooltipButtonClick: props.onCreateNewShareButtonClick,
    withPopover: false
  });
};